"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const RECONNECT_INTERVAL_MS = 1000;
const RECONNECT_ATTEMPTS_MAX = -1;
// Subscribe on connection
const orderbookFeed = new src_1.OrderbookFeed('wss://api.mngo.cloud/orderbook/v1/', {
    reconnectionIntervalMs: RECONNECT_INTERVAL_MS,
    reconnectionMaxAttempts: RECONNECT_ATTEMPTS_MAX,
    subscriptions: {
        marketId: '9XJt2tvSZghsMAhWto1VuPBrwXsiimPtsTR8XwGgDxK2',
    },
});
// Subscribe after connection
orderbookFeed.onConnect(() => {
    console.log('connected');
    orderbookFeed.subscribe({
        marketId: 'ESdnpnNLgTkBCZRuTJkZLi5wKEZ2z47SG3PJrhundSQ2',
    });
});
orderbookFeed.onDisconnect(() => {
    console.log(`disconnected, reconnecting in ${RECONNECT_INTERVAL_MS}...`);
});
orderbookFeed.onL2Update((update) => {
    console.log('update', update);
});
orderbookFeed.onL2Checkpoint((checkpoint) => {
    console.log('checkpoint', checkpoint);
});
orderbookFeed.onStatus((update) => {
    console.log('status', update);
});
