import { ReconnectingWebsocketFeed } from './util';
interface FillsFeedOptions {
    subscriptions?: FillsFeedSubscribeParams;
    reconnectionIntervalMs?: number;
    reconnectionMaxAttempts?: number;
}
interface FillsFeedSubscribeParams {
    marketId?: string;
    marketIds?: string[];
    accountIds?: string[];
    headUpdates?: boolean;
}
interface FillEventUpdate {
    status: 'new' | 'revoke';
    marketKey: 'string';
    marketName: 'string';
    slot: number;
    writeVersion: number;
    event: {
        eventType: 'spot' | 'perp';
        maker: 'string';
        taker: 'string';
        takerSide: 'bid' | 'ask';
        timestamp: 'string';
        seqNum: number;
        makerClientOrderId: number;
        takerClientOrderId: number;
        makerFee: number;
        takerFee: number;
        price: number;
        quantity: number;
    };
}
interface HeadUpdate {
    head: number;
    previousHead: number;
    headSeqNum: number;
    previousHeadSeqNum: number;
    status: 'new' | 'revoke';
    marketKey: 'string';
    marketName: 'string';
    slot: number;
    writeVersion: number;
}
export declare class FillsFeed extends ReconnectingWebsocketFeed {
    private _subscriptions?;
    private _onFill;
    private _onHead;
    constructor(url: string, options?: FillsFeedOptions);
    subscribe(subscriptions: FillsFeedSubscribeParams): void;
    unsubscribe(marketId: string): void;
    onFill(callback: (update: FillEventUpdate) => void): void;
    onHead(callback: (update: HeadUpdate) => void): void;
}
export {};
//# sourceMappingURL=fills.d.ts.map