import { ReconnectingWebsocketFeed } from './util';
interface OrderbookFeedOptions {
    subscriptions?: OrderbookFeedSubscribeParams;
    reconnectionIntervalMs?: number;
    reconnectionMaxAttempts?: number;
}
interface OrderbookFeedSubscribeParams {
    marketId?: string;
    marketIds?: string[];
}
interface OrderbookL2Update {
    market: string;
    side: 'bid' | 'ask';
    update: [number, number][];
    slot: number;
    writeVersion: number;
}
interface OrderbookL2Checkpoint {
    market: string;
    side: 'bid' | 'ask';
    bids: [number, number][];
    asks: [number, number][];
    slot: number;
    writeVersion: number;
}
export declare class OrderbookFeed extends ReconnectingWebsocketFeed {
    private _subscriptions?;
    private _onL2Update;
    private _onL2Checkpoint;
    constructor(url: string, options?: OrderbookFeedOptions);
    subscribe(subscriptions: OrderbookFeedSubscribeParams): void;
    unsubscribe(marketId: string): void;
    onL2Update(callback: (update: OrderbookL2Update) => void): void;
    onL2Checkpoint(callback: (checkpoint: OrderbookL2Checkpoint) => void): void;
}
export {};
//# sourceMappingURL=orderbook.d.ts.map